<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.platform.dao.WxpayConfigMapper">
  <resultMap id="BaseResultMap" type="com.platform.pojo.WxpayConfig">
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="pay_request_url" jdbcType="VARCHAR" property="payRequestUrl" />
    <result column="pay_notify_url" jdbcType="VARCHAR" property="payNotifyUrl" />
    <result column="return_url" jdbcType="VARCHAR" property="returnUrl" />
    <result column="show_url" jdbcType="VARCHAR" property="showUrl" />
    <result column="search_request_url" jdbcType="VARCHAR" property="searchRequestUrl" />
    <result column="refund_request_url" jdbcType="VARCHAR" property="refundRequestUrl" />
    <result column="refund_notify_url" jdbcType="VARCHAR" property="refundNotifyUrl" />
    <result column="refundquery_request_url" jdbcType="VARCHAR" property="refundqueryRequestUrl" />
    <result column="accountdownload_request_url" jdbcType="VARCHAR" property="accountdownloadRequestUrl" />
    <result column="close_request_url" jdbcType="VARCHAR" property="closeRequestUrl" />
    <result column="report_request_url" jdbcType="VARCHAR" property="reportRequestUrl" />
    <result column="shorturl_request_url" jdbcType="VARCHAR" property="shorturlRequestUrl" />
    <result column="comment_request_url" jdbcType="VARCHAR" property="commentRequestUrl" />
    <result column="app_id" jdbcType="VARCHAR" property="appId" />
    <result column="mch_id" jdbcType="VARCHAR" property="mchId" />
    <result column="sign_key" jdbcType="VARCHAR" property="signKey" />
    <result column="pay_gate_url" jdbcType="VARCHAR" property="payGateUrl" />
    <result column="search_gate_url" jdbcType="VARCHAR" property="searchGateUrl" />
    <result column="refund_gate_url" jdbcType="VARCHAR" property="refundGateUrl" />
    <result column="refundquery_gate_url" jdbcType="VARCHAR" property="refundqueryGateUrl" />
    <result column="close_gate_url" jdbcType="VARCHAR" property="closeGateUrl" />
    <result column="account_download_gate_url" jdbcType="VARCHAR" property="accountDownloadGateUrl" />
    <result column="report_gate_url" jdbcType="VARCHAR" property="reportGateUrl" />
    <result column="shorturl_gate_url" jdbcType="VARCHAR" property="shorturlGateUrl" />
    <result column="comment_gate_url" jdbcType="VARCHAR" property="commentGateUrl" />
    <result column="create_time" jdbcType="TIMESTAMP" property="createTime" />
    <result column="update_time" jdbcType="TIMESTAMP" property="updateTime" />
    <result column="delete_flag" jdbcType="INTEGER" property="deleteFlag" />
  </resultMap>
  <sql id="Example_Where_Clause">
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Update_By_Example_Where_Clause">
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="example.oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    id, pay_request_url, pay_notify_url, return_url, show_url, search_request_url, refund_request_url, 
    refund_notify_url, refundquery_request_url, accountdownload_request_url, close_request_url, 
    report_request_url, shorturl_request_url, comment_request_url, app_id, mch_id, sign_key, 
    pay_gate_url, search_gate_url, refund_gate_url, refundquery_gate_url, close_gate_url, 
    account_download_gate_url, report_gate_url, shorturl_gate_url, comment_gate_url, 
    create_time, update_time, delete_flag
  </sql>
  <select id="selectByExample" parameterType="com.platform.pojo.WxpayConfigExample" resultMap="BaseResultMap">
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select
    <if test="distinct">
      distinct
    </if>
    <include refid="Base_Column_List" />
    from wxpay_config
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null">
      order by ${orderByClause}
    </if>
  </select>
  <select id="selectByPrimaryKey" parameterType="java.lang.Long" resultMap="BaseResultMap">
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select 
    <include refid="Base_Column_List" />
    from wxpay_config
    where id = #{id,jdbcType=INTEGER}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Long">
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from wxpay_config
    where id = #{id,jdbcType=INTEGER}
  </delete>
  <delete id="deleteByExample" parameterType="com.platform.pojo.WxpayConfigExample">
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from wxpay_config
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </delete>
  <insert id="insert" parameterType="com.platform.pojo.WxpayConfig">
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into wxpay_config (id, pay_request_url, pay_notify_url, 
      return_url, show_url, search_request_url, 
      refund_request_url, refund_notify_url, refundquery_request_url, 
      accountdownload_request_url, close_request_url, 
      report_request_url, shorturl_request_url, comment_request_url, 
      app_id, mch_id, sign_key, 
      pay_gate_url, search_gate_url, refund_gate_url, 
      refundquery_gate_url, close_gate_url, account_download_gate_url, 
      report_gate_url, shorturl_gate_url, comment_gate_url, 
      create_time, update_time, delete_flag
      )
    values (#{id,jdbcType=INTEGER}, #{payRequestUrl,jdbcType=VARCHAR}, #{payNotifyUrl,jdbcType=VARCHAR}, 
      #{returnUrl,jdbcType=VARCHAR}, #{showUrl,jdbcType=VARCHAR}, #{searchRequestUrl,jdbcType=VARCHAR}, 
      #{refundRequestUrl,jdbcType=VARCHAR}, #{refundNotifyUrl,jdbcType=VARCHAR}, #{refundqueryRequestUrl,jdbcType=VARCHAR}, 
      #{accountdownloadRequestUrl,jdbcType=VARCHAR}, #{closeRequestUrl,jdbcType=VARCHAR}, 
      #{reportRequestUrl,jdbcType=VARCHAR}, #{shorturlRequestUrl,jdbcType=VARCHAR}, #{commentRequestUrl,jdbcType=VARCHAR}, 
      #{appId,jdbcType=VARCHAR}, #{mchId,jdbcType=VARCHAR}, #{signKey,jdbcType=VARCHAR}, 
      #{payGateUrl,jdbcType=VARCHAR}, #{searchGateUrl,jdbcType=VARCHAR}, #{refundGateUrl,jdbcType=VARCHAR}, 
      #{refundqueryGateUrl,jdbcType=VARCHAR}, #{closeGateUrl,jdbcType=VARCHAR}, #{accountDownloadGateUrl,jdbcType=VARCHAR}, 
      #{reportGateUrl,jdbcType=VARCHAR}, #{shorturlGateUrl,jdbcType=VARCHAR}, #{commentGateUrl,jdbcType=VARCHAR}, 
      #{createTime,jdbcType=TIMESTAMP}, #{updateTime,jdbcType=TIMESTAMP}, #{deleteFlag,jdbcType=INTEGER}
      )
  </insert>
  <insert id="insertSelective" keyProperty="id" parameterType="com.platform.pojo.WxpayConfig" useGeneratedKeys="true">
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into wxpay_config
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="id != null">
        id,
      </if>
      <if test="payRequestUrl != null">
        pay_request_url,
      </if>
      <if test="payNotifyUrl != null">
        pay_notify_url,
      </if>
      <if test="returnUrl != null">
        return_url,
      </if>
      <if test="showUrl != null">
        show_url,
      </if>
      <if test="searchRequestUrl != null">
        search_request_url,
      </if>
      <if test="refundRequestUrl != null">
        refund_request_url,
      </if>
      <if test="refundNotifyUrl != null">
        refund_notify_url,
      </if>
      <if test="refundqueryRequestUrl != null">
        refundquery_request_url,
      </if>
      <if test="accountdownloadRequestUrl != null">
        accountdownload_request_url,
      </if>
      <if test="closeRequestUrl != null">
        close_request_url,
      </if>
      <if test="reportRequestUrl != null">
        report_request_url,
      </if>
      <if test="shorturlRequestUrl != null">
        shorturl_request_url,
      </if>
      <if test="commentRequestUrl != null">
        comment_request_url,
      </if>
      <if test="appId != null">
        app_id,
      </if>
      <if test="mchId != null">
        mch_id,
      </if>
      <if test="signKey != null">
        sign_key,
      </if>
      <if test="payGateUrl != null">
        pay_gate_url,
      </if>
      <if test="searchGateUrl != null">
        search_gate_url,
      </if>
      <if test="refundGateUrl != null">
        refund_gate_url,
      </if>
      <if test="refundqueryGateUrl != null">
        refundquery_gate_url,
      </if>
      <if test="closeGateUrl != null">
        close_gate_url,
      </if>
      <if test="accountDownloadGateUrl != null">
        account_download_gate_url,
      </if>
      <if test="reportGateUrl != null">
        report_gate_url,
      </if>
      <if test="shorturlGateUrl != null">
        shorturl_gate_url,
      </if>
      <if test="commentGateUrl != null">
        comment_gate_url,
      </if>
      <if test="createTime != null">
        create_time,
      </if>
      <if test="updateTime != null">
        update_time,
      </if>
      <if test="deleteFlag != null">
        delete_flag,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test="id != null">
        #{id,jdbcType=INTEGER},
      </if>
      <if test="payRequestUrl != null">
        #{payRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="payNotifyUrl != null">
        #{payNotifyUrl,jdbcType=VARCHAR},
      </if>
      <if test="returnUrl != null">
        #{returnUrl,jdbcType=VARCHAR},
      </if>
      <if test="showUrl != null">
        #{showUrl,jdbcType=VARCHAR},
      </if>
      <if test="searchRequestUrl != null">
        #{searchRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="refundRequestUrl != null">
        #{refundRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="refundNotifyUrl != null">
        #{refundNotifyUrl,jdbcType=VARCHAR},
      </if>
      <if test="refundqueryRequestUrl != null">
        #{refundqueryRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="accountdownloadRequestUrl != null">
        #{accountdownloadRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="closeRequestUrl != null">
        #{closeRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="reportRequestUrl != null">
        #{reportRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="shorturlRequestUrl != null">
        #{shorturlRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="commentRequestUrl != null">
        #{commentRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="appId != null">
        #{appId,jdbcType=VARCHAR},
      </if>
      <if test="mchId != null">
        #{mchId,jdbcType=VARCHAR},
      </if>
      <if test="signKey != null">
        #{signKey,jdbcType=VARCHAR},
      </if>
      <if test="payGateUrl != null">
        #{payGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="searchGateUrl != null">
        #{searchGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="refundGateUrl != null">
        #{refundGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="refundqueryGateUrl != null">
        #{refundqueryGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="closeGateUrl != null">
        #{closeGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="accountDownloadGateUrl != null">
        #{accountDownloadGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="reportGateUrl != null">
        #{reportGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="shorturlGateUrl != null">
        #{shorturlGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="commentGateUrl != null">
        #{commentGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="createTime != null">
        #{createTime,jdbcType=TIMESTAMP},
      </if>
      <if test="updateTime != null">
        #{updateTime,jdbcType=TIMESTAMP},
      </if>
      <if test="deleteFlag != null">
        #{deleteFlag,jdbcType=INTEGER},
      </if>
    </trim>
  </insert>
  <select id="countByExample" parameterType="com.platform.pojo.WxpayConfigExample" resultType="java.lang.Integer">
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select count(*) from wxpay_config
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </select>
  <update id="updateByExampleSelective" parameterType="map">
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update wxpay_config
    <set>
      <if test="record.id != null">
        id = #{record.id,jdbcType=INTEGER},
      </if>
      <if test="record.payRequestUrl != null">
        pay_request_url = #{record.payRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.payNotifyUrl != null">
        pay_notify_url = #{record.payNotifyUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.returnUrl != null">
        return_url = #{record.returnUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.showUrl != null">
        show_url = #{record.showUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.searchRequestUrl != null">
        search_request_url = #{record.searchRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.refundRequestUrl != null">
        refund_request_url = #{record.refundRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.refundNotifyUrl != null">
        refund_notify_url = #{record.refundNotifyUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.refundqueryRequestUrl != null">
        refundquery_request_url = #{record.refundqueryRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.accountdownloadRequestUrl != null">
        accountdownload_request_url = #{record.accountdownloadRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.closeRequestUrl != null">
        close_request_url = #{record.closeRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.reportRequestUrl != null">
        report_request_url = #{record.reportRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.shorturlRequestUrl != null">
        shorturl_request_url = #{record.shorturlRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.commentRequestUrl != null">
        comment_request_url = #{record.commentRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.appId != null">
        app_id = #{record.appId,jdbcType=VARCHAR},
      </if>
      <if test="record.mchId != null">
        mch_id = #{record.mchId,jdbcType=VARCHAR},
      </if>
      <if test="record.signKey != null">
        sign_key = #{record.signKey,jdbcType=VARCHAR},
      </if>
      <if test="record.payGateUrl != null">
        pay_gate_url = #{record.payGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.searchGateUrl != null">
        search_gate_url = #{record.searchGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.refundGateUrl != null">
        refund_gate_url = #{record.refundGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.refundqueryGateUrl != null">
        refundquery_gate_url = #{record.refundqueryGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.closeGateUrl != null">
        close_gate_url = #{record.closeGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.accountDownloadGateUrl != null">
        account_download_gate_url = #{record.accountDownloadGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.reportGateUrl != null">
        report_gate_url = #{record.reportGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.shorturlGateUrl != null">
        shorturl_gate_url = #{record.shorturlGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.commentGateUrl != null">
        comment_gate_url = #{record.commentGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="record.createTime != null">
        create_time = #{record.createTime,jdbcType=TIMESTAMP},
      </if>
      <if test="record.updateTime != null">
        update_time = #{record.updateTime,jdbcType=TIMESTAMP},
      </if>
      <if test="record.deleteFlag != null">
        delete_flag = #{record.deleteFlag,jdbcType=INTEGER},
      </if>
    </set>
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByExample" parameterType="map">
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update wxpay_config
    set id = #{record.id,jdbcType=INTEGER},
      pay_request_url = #{record.payRequestUrl,jdbcType=VARCHAR},
      pay_notify_url = #{record.payNotifyUrl,jdbcType=VARCHAR},
      return_url = #{record.returnUrl,jdbcType=VARCHAR},
      show_url = #{record.showUrl,jdbcType=VARCHAR},
      search_request_url = #{record.searchRequestUrl,jdbcType=VARCHAR},
      refund_request_url = #{record.refundRequestUrl,jdbcType=VARCHAR},
      refund_notify_url = #{record.refundNotifyUrl,jdbcType=VARCHAR},
      refundquery_request_url = #{record.refundqueryRequestUrl,jdbcType=VARCHAR},
      accountdownload_request_url = #{record.accountdownloadRequestUrl,jdbcType=VARCHAR},
      close_request_url = #{record.closeRequestUrl,jdbcType=VARCHAR},
      report_request_url = #{record.reportRequestUrl,jdbcType=VARCHAR},
      shorturl_request_url = #{record.shorturlRequestUrl,jdbcType=VARCHAR},
      comment_request_url = #{record.commentRequestUrl,jdbcType=VARCHAR},
      app_id = #{record.appId,jdbcType=VARCHAR},
      mch_id = #{record.mchId,jdbcType=VARCHAR},
      sign_key = #{record.signKey,jdbcType=VARCHAR},
      pay_gate_url = #{record.payGateUrl,jdbcType=VARCHAR},
      search_gate_url = #{record.searchGateUrl,jdbcType=VARCHAR},
      refund_gate_url = #{record.refundGateUrl,jdbcType=VARCHAR},
      refundquery_gate_url = #{record.refundqueryGateUrl,jdbcType=VARCHAR},
      close_gate_url = #{record.closeGateUrl,jdbcType=VARCHAR},
      account_download_gate_url = #{record.accountDownloadGateUrl,jdbcType=VARCHAR},
      report_gate_url = #{record.reportGateUrl,jdbcType=VARCHAR},
      shorturl_gate_url = #{record.shorturlGateUrl,jdbcType=VARCHAR},
      comment_gate_url = #{record.commentGateUrl,jdbcType=VARCHAR},
      create_time = #{record.createTime,jdbcType=TIMESTAMP},
      update_time = #{record.updateTime,jdbcType=TIMESTAMP},
      delete_flag = #{record.deleteFlag,jdbcType=INTEGER}
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByPrimaryKeySelective" parameterType="com.platform.pojo.WxpayConfig">
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update wxpay_config
    <set>
      <if test="payRequestUrl != null">
        pay_request_url = #{payRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="payNotifyUrl != null">
        pay_notify_url = #{payNotifyUrl,jdbcType=VARCHAR},
      </if>
      <if test="returnUrl != null">
        return_url = #{returnUrl,jdbcType=VARCHAR},
      </if>
      <if test="showUrl != null">
        show_url = #{showUrl,jdbcType=VARCHAR},
      </if>
      <if test="searchRequestUrl != null">
        search_request_url = #{searchRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="refundRequestUrl != null">
        refund_request_url = #{refundRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="refundNotifyUrl != null">
        refund_notify_url = #{refundNotifyUrl,jdbcType=VARCHAR},
      </if>
      <if test="refundqueryRequestUrl != null">
        refundquery_request_url = #{refundqueryRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="accountdownloadRequestUrl != null">
        accountdownload_request_url = #{accountdownloadRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="closeRequestUrl != null">
        close_request_url = #{closeRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="reportRequestUrl != null">
        report_request_url = #{reportRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="shorturlRequestUrl != null">
        shorturl_request_url = #{shorturlRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="commentRequestUrl != null">
        comment_request_url = #{commentRequestUrl,jdbcType=VARCHAR},
      </if>
      <if test="appId != null">
        app_id = #{appId,jdbcType=VARCHAR},
      </if>
      <if test="mchId != null">
        mch_id = #{mchId,jdbcType=VARCHAR},
      </if>
      <if test="signKey != null">
        sign_key = #{signKey,jdbcType=VARCHAR},
      </if>
      <if test="payGateUrl != null">
        pay_gate_url = #{payGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="searchGateUrl != null">
        search_gate_url = #{searchGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="refundGateUrl != null">
        refund_gate_url = #{refundGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="refundqueryGateUrl != null">
        refundquery_gate_url = #{refundqueryGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="closeGateUrl != null">
        close_gate_url = #{closeGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="accountDownloadGateUrl != null">
        account_download_gate_url = #{accountDownloadGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="reportGateUrl != null">
        report_gate_url = #{reportGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="shorturlGateUrl != null">
        shorturl_gate_url = #{shorturlGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="commentGateUrl != null">
        comment_gate_url = #{commentGateUrl,jdbcType=VARCHAR},
      </if>
      <if test="createTime != null">
        create_time = #{createTime,jdbcType=TIMESTAMP},
      </if>
      <if test="updateTime != null">
        update_time = #{updateTime,jdbcType=TIMESTAMP},
      </if>
      <if test="deleteFlag != null">
        delete_flag = #{deleteFlag,jdbcType=INTEGER},
      </if>
    </set>
    where id = #{id,jdbcType=INTEGER}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.platform.pojo.WxpayConfig">
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update wxpay_config
    set pay_request_url = #{payRequestUrl,jdbcType=VARCHAR},
      pay_notify_url = #{payNotifyUrl,jdbcType=VARCHAR},
      return_url = #{returnUrl,jdbcType=VARCHAR},
      show_url = #{showUrl,jdbcType=VARCHAR},
      search_request_url = #{searchRequestUrl,jdbcType=VARCHAR},
      refund_request_url = #{refundRequestUrl,jdbcType=VARCHAR},
      refund_notify_url = #{refundNotifyUrl,jdbcType=VARCHAR},
      refundquery_request_url = #{refundqueryRequestUrl,jdbcType=VARCHAR},
      accountdownload_request_url = #{accountdownloadRequestUrl,jdbcType=VARCHAR},
      close_request_url = #{closeRequestUrl,jdbcType=VARCHAR},
      report_request_url = #{reportRequestUrl,jdbcType=VARCHAR},
      shorturl_request_url = #{shorturlRequestUrl,jdbcType=VARCHAR},
      comment_request_url = #{commentRequestUrl,jdbcType=VARCHAR},
      app_id = #{appId,jdbcType=VARCHAR},
      mch_id = #{mchId,jdbcType=VARCHAR},
      sign_key = #{signKey,jdbcType=VARCHAR},
      pay_gate_url = #{payGateUrl,jdbcType=VARCHAR},
      search_gate_url = #{searchGateUrl,jdbcType=VARCHAR},
      refund_gate_url = #{refundGateUrl,jdbcType=VARCHAR},
      refundquery_gate_url = #{refundqueryGateUrl,jdbcType=VARCHAR},
      close_gate_url = #{closeGateUrl,jdbcType=VARCHAR},
      account_download_gate_url = #{accountDownloadGateUrl,jdbcType=VARCHAR},
      report_gate_url = #{reportGateUrl,jdbcType=VARCHAR},
      shorturl_gate_url = #{shorturlGateUrl,jdbcType=VARCHAR},
      comment_gate_url = #{commentGateUrl,jdbcType=VARCHAR},
      create_time = #{createTime,jdbcType=TIMESTAMP},
      update_time = #{updateTime,jdbcType=TIMESTAMP},
      delete_flag = #{deleteFlag,jdbcType=INTEGER}
    where id = #{id,jdbcType=INTEGER}
  </update>
</mapper>